jdk/test/sun/security/tools/keytool/autotest.sh
author ohair
Tue, 25 May 2010 15:58:33 -0700
changeset 5506 202f599c92aa
parent 2067 6f9db5f305cd
child 12039 fe21bbf8f775
permissions -rw-r--r--
6943119: Rebrand source copyright notices Reviewed-by: darcy, weijun
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
     1
#
5506
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2067
diff changeset
     2
# Copyright (c) 2006, 2009, Oracle and/or its affiliates. All rights reserved.
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
     3
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
90ce3da70b43 Initial load
duke
parents:
diff changeset
     4
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
     5
# This code is free software; you can redistribute it and/or modify it
90ce3da70b43 Initial load
duke
parents:
diff changeset
     6
# under the terms of the GNU General Public License version 2 only, as
90ce3da70b43 Initial load
duke
parents:
diff changeset
     7
# published by the Free Software Foundation.
90ce3da70b43 Initial load
duke
parents:
diff changeset
     8
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
     9
# This code is distributed in the hope that it will be useful, but WITHOUT
90ce3da70b43 Initial load
duke
parents:
diff changeset
    10
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
90ce3da70b43 Initial load
duke
parents:
diff changeset
    11
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
90ce3da70b43 Initial load
duke
parents:
diff changeset
    12
# version 2 for more details (a copy is included in the LICENSE file that
90ce3da70b43 Initial load
duke
parents:
diff changeset
    13
# accompanied this code).
90ce3da70b43 Initial load
duke
parents:
diff changeset
    14
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
    15
# You should have received a copy of the GNU General Public License version
90ce3da70b43 Initial load
duke
parents:
diff changeset
    16
# 2 along with this work; if not, write to the Free Software Foundation,
90ce3da70b43 Initial load
duke
parents:
diff changeset
    17
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
90ce3da70b43 Initial load
duke
parents:
diff changeset
    18
#
5506
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2067
diff changeset
    19
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2067
diff changeset
    20
# or visit www.oracle.com if you need additional information or have any
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2067
diff changeset
    21
# questions.
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    22
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
    23
90ce3da70b43 Initial load
duke
parents:
diff changeset
    24
# @test
90ce3da70b43 Initial load
duke
parents:
diff changeset
    25
# @summary (almost) all keytool behaviors
90ce3da70b43 Initial load
duke
parents:
diff changeset
    26
# @author Weijun Wang
90ce3da70b43 Initial load
duke
parents:
diff changeset
    27
#
2067
6f9db5f305cd 6780416: New keytool commands/options: -gencert, -printcertreq, -ext
weijun
parents: 629
diff changeset
    28
# This test is only executed on several platforms
6f9db5f305cd 6780416: New keytool commands/options: -gencert, -printcertreq, -ext
weijun
parents: 629
diff changeset
    29
#
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    30
# set a few environment variables so that the shell-script can run stand-alone
90ce3da70b43 Initial load
duke
parents:
diff changeset
    31
# in the source directory
90ce3da70b43 Initial load
duke
parents:
diff changeset
    32
if [ "${TESTSRC}" = "" ] ; then
90ce3da70b43 Initial load
duke
parents:
diff changeset
    33
  TESTSRC="."
90ce3da70b43 Initial load
duke
parents:
diff changeset
    34
fi
90ce3da70b43 Initial load
duke
parents:
diff changeset
    35
if [ "${TESTCLASSES}" = "" ] ; then
90ce3da70b43 Initial load
duke
parents:
diff changeset
    36
  TESTCLASSES="."
90ce3da70b43 Initial load
duke
parents:
diff changeset
    37
fi
90ce3da70b43 Initial load
duke
parents:
diff changeset
    38
if [ "${TESTJAVA}" = "" ] ; then
90ce3da70b43 Initial load
duke
parents:
diff changeset
    39
  echo "TESTJAVA not set.  Test cannot execute."
90ce3da70b43 Initial load
duke
parents:
diff changeset
    40
  echo "FAILED!!!"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    41
  exit 1
90ce3da70b43 Initial load
duke
parents:
diff changeset
    42
fi
90ce3da70b43 Initial load
duke
parents:
diff changeset
    43
90ce3da70b43 Initial load
duke
parents:
diff changeset
    44
# set platform-dependent variables
90ce3da70b43 Initial load
duke
parents:
diff changeset
    45
OS=`uname -s`
90ce3da70b43 Initial load
duke
parents:
diff changeset
    46
case "$OS" in
90ce3da70b43 Initial load
duke
parents:
diff changeset
    47
  SunOS )
90ce3da70b43 Initial load
duke
parents:
diff changeset
    48
    FS="/"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    49
    LIBNAME=libsoftokn3.so
90ce3da70b43 Initial load
duke
parents:
diff changeset
    50
    ARCH=`isainfo`
90ce3da70b43 Initial load
duke
parents:
diff changeset
    51
    case "$ARCH" in
90ce3da70b43 Initial load
duke
parents:
diff changeset
    52
      sparc* )
90ce3da70b43 Initial load
duke
parents:
diff changeset
    53
        PF="solaris-sparc"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    54
        ;;
90ce3da70b43 Initial load
duke
parents:
diff changeset
    55
      * )
90ce3da70b43 Initial load
duke
parents:
diff changeset
    56
        echo "Will not run test on: Solaris ${ARCH}"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    57
        exit 0;
90ce3da70b43 Initial load
duke
parents:
diff changeset
    58
        ;;
90ce3da70b43 Initial load
duke
parents:
diff changeset
    59
    esac
90ce3da70b43 Initial load
duke
parents:
diff changeset
    60
    ;;
90ce3da70b43 Initial load
duke
parents:
diff changeset
    61
  Linux )
90ce3da70b43 Initial load
duke
parents:
diff changeset
    62
    LIBNAME=libsoftokn3.so
90ce3da70b43 Initial load
duke
parents:
diff changeset
    63
    ARCH=`uname -m`
90ce3da70b43 Initial load
duke
parents:
diff changeset
    64
    FS="/"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    65
    case "$ARCH" in
90ce3da70b43 Initial load
duke
parents:
diff changeset
    66
      i[3-6]86 )
90ce3da70b43 Initial load
duke
parents:
diff changeset
    67
        PF="linux-i586"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    68
        ;;
90ce3da70b43 Initial load
duke
parents:
diff changeset
    69
      * )
90ce3da70b43 Initial load
duke
parents:
diff changeset
    70
        echo "Will not run test on: Linux ${ARCH}"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    71
        exit 0;
90ce3da70b43 Initial load
duke
parents:
diff changeset
    72
        ;;
90ce3da70b43 Initial load
duke
parents:
diff changeset
    73
    esac
90ce3da70b43 Initial load
duke
parents:
diff changeset
    74
    ;;
90ce3da70b43 Initial load
duke
parents:
diff changeset
    75
  * )
90ce3da70b43 Initial load
duke
parents:
diff changeset
    76
    echo "Will not run test on: ${OS}"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    77
    exit 0;
90ce3da70b43 Initial load
duke
parents:
diff changeset
    78
    ;;
90ce3da70b43 Initial load
duke
parents:
diff changeset
    79
esac
90ce3da70b43 Initial load
duke
parents:
diff changeset
    80
90ce3da70b43 Initial load
duke
parents:
diff changeset
    81
${TESTJAVA}${FS}bin${FS}javac -d . ${TESTSRC}${FS}KeyToolTest.java || exit 10
90ce3da70b43 Initial load
duke
parents:
diff changeset
    82
90ce3da70b43 Initial load
duke
parents:
diff changeset
    83
NSS=${TESTSRC}${FS}..${FS}..${FS}pkcs11${FS}nss
90ce3da70b43 Initial load
duke
parents:
diff changeset
    84
90ce3da70b43 Initial load
duke
parents:
diff changeset
    85
cp ${TESTSRC}${FS}p11-nss.txt .
90ce3da70b43 Initial load
duke
parents:
diff changeset
    86
cp ${NSS}${FS}db${FS}cert8.db .
90ce3da70b43 Initial load
duke
parents:
diff changeset
    87
cp ${NSS}${FS}db${FS}key3.db .
90ce3da70b43 Initial load
duke
parents:
diff changeset
    88
cp ${NSS}${FS}db${FS}secmod.db .
90ce3da70b43 Initial load
duke
parents:
diff changeset
    89
90ce3da70b43 Initial load
duke
parents:
diff changeset
    90
chmod u+w key3.db
90ce3da70b43 Initial load
duke
parents:
diff changeset
    91
chmod u+w cert8.db
90ce3da70b43 Initial load
duke
parents:
diff changeset
    92
2067
6f9db5f305cd 6780416: New keytool commands/options: -gencert, -printcertreq, -ext
weijun
parents: 629
diff changeset
    93
echo | ${TESTJAVA}${FS}bin${FS}java -Dnss \
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    94
   -Dnss.lib=${NSS}${FS}lib${FS}${PF}${FS}${LIBNAME} \
629
9ceba556df24 6705313: Incorrect exit $? in keytool's autotest.sh
weijun
parents: 2
diff changeset
    95
   KeyToolTest
9ceba556df24 6705313: Incorrect exit $? in keytool's autotest.sh
weijun
parents: 2
diff changeset
    96
status=$?
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    97
90ce3da70b43 Initial load
duke
parents:
diff changeset
    98
rm -f p11-nss.txt
90ce3da70b43 Initial load
duke
parents:
diff changeset
    99
rm -f cert8.db
90ce3da70b43 Initial load
duke
parents:
diff changeset
   100
rm -f key3.db
90ce3da70b43 Initial load
duke
parents:
diff changeset
   101
rm -f secmod.db
90ce3da70b43 Initial load
duke
parents:
diff changeset
   102
90ce3da70b43 Initial load
duke
parents:
diff changeset
   103
rm HumanInputStream*.class
2067
6f9db5f305cd 6780416: New keytool commands/options: -gencert, -printcertreq, -ext
weijun
parents: 629
diff changeset
   104
rm KeyToolTest*.class
6f9db5f305cd 6780416: New keytool commands/options: -gencert, -printcertreq, -ext
weijun
parents: 629
diff changeset
   105
rm TestException.class
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
   106
629
9ceba556df24 6705313: Incorrect exit $? in keytool's autotest.sh
weijun
parents: 2
diff changeset
   107
exit $status
9ceba556df24 6705313: Incorrect exit $? in keytool's autotest.sh
weijun
parents: 2
diff changeset
   108